Package: scamp / 2.0.4+dfsg-1

Metadata

Package Version Patches format
scamp 2.0.4+dfsg-1 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
Replace aclient_cgi call by curl.patch | (download)

configure.ac | 17 0 + 17 - 0 !
src/astrefcat.c | 12 6 + 6 - 0 !
src/preflist.h | 2 1 + 1 - 0 !
3 files changed, 7 insertions(+), 24 deletions(-)

 replace aclient_cgi call by curl

aclient_cgi is a script file that is distributed with cdsclient, which
is not packaged for Debian.

Correct manpage hyphens.patch | (download)

man/Makefile.am | 2 1 + 1 - 0 !
man/scamp.1.in | 6 3 + 3 - 0 !
2 files changed, 4 insertions(+), 4 deletions(-)

 correct manpage hyphens


Replace the build date with the last changed date of conf.patch | (download)

configure.ac | 7 4 + 3 - 0 !
1 file changed, 4 insertions(+), 3 deletions(-)

 replace the build date with the last changed date of configure.ac

This shall help to make the build reproducible.

Use plplot instead of plplotd.patch | (download)

acx_plplot.m4 | 14 7 + 7 - 0 !
1 file changed, 7 insertions(+), 7 deletions(-)

 use plplot instead of plplotd


Fix segfault in load_field at field.c 343.patch | (download)

src/field.c | 3 2 + 1 - 0 !
1 file changed, 2 insertions(+), 1 deletion(-)

 fix segfault in load_field() at field.c:343

When build the package with gcc option -Wsequence-point enabled(add
"export DEB_CFLAGS_MAINT_APPEND = -Wsequence-point" to debian/rules),
there is the following warning:

gcc -DHAVE_CONFIG_H -I. -I..  -I/usr/include/plplot -Wdate-time -D_FORTIFY_SOURCE=2 -D_REENTRANT -g -O2 -fdebug-prefix-map=/home/kralcyor/tmp/packaging/scamp/scamp-2.0.4=. -fstack-protector-strong -Wformat -Werror=format-security -Wsequence-point -c -o field.o field.c
field.c: In function 'load_field':
field.c:343:27: warning: operation on 'n' may be undefined [-Wsequence-point]
       set[n]->setindex = n++;
                          ~^~

Closes: #883236